Duda con cambio de versión.

Actualicé mi Minecraft a la 1.6.2 hace unos días, yo antes jugaba a la 1.5.1 y tengo mis partidas ahí con todos los mods que tenía.
Ahora, quiero jugar con la 1.6.2 pero con las partidas de la 1.5.1, pero ahora los mods se instalan de forma diferente y blablabla, entonces ¿no puedo copiar la carpeta del 1.5.1 con todos sus mods, partidas, configuraciones, etc en algún sitio y que pueda ejecutarlo con el nuevo launcher?
¿Tengo que instalar todos los mods otra vez?
¿Las partidas de la 1.5.1 funcionan en la 1.6.2?

La 1.5.1 fue la primera versión de Minecraft que jugué así que soy algo nuevo, gracias.

Las partidas de los servidores 1.5.2 no son compatibles con las de 1.6.2 y tienes que volver a instalar todos lo mods porque no se te guardan Un saludo